# This file created by conda-build 3.21.9
# ------------------------------------------------

package:
  name: matplotlib-base
  version: 3.5.2
source:
  sha256: c81325d1b0d822ef75fd71d243f98478cdca1f800a838a2a1bc8e4e17b8df93c
  url: https://github.com/matplotlib/matplotlib/archive/v3.5.2.tar.gz
build:
  ignore_run_exports:
    - tk
  number: 0
  string: py39hf590b9c_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.38 h2a08ee3_1
    - binutils_linux-64 2.38.0 hc2dff05_0
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_0
    - gxx_impl_linux-64 11.2.0 h1234567_1
    - gxx_linux-64 11.2.0 hc2dff05_0
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.38 h1181459_1
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-devel_linux-64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - pkg-config 0.29.2 h1bed415_8
    - sysroot_linux-64 2.17 h57e8cba_10
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - blas 1.0 mkl
    - ca-certificates 2022.07.19 h06a4308_0
    - certifi 2022.6.15 py39h06a4308_0
    - freetype 2.11.0 h70c0345_0
    - intel-openmp 2021.4.0 h06a4308_3561
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.3 he6710b0_2
    - libgcc-ng 11.2.0 h1234567_1
    - libgfortran-ng 11.2.0 h00389a5_1
    - libgfortran5 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libpng 1.6.37 hbc83047_0
    - libstdcxx-ng 11.2.0 h1234567_1
    - mkl 2021.4.0 h06a4308_640
    - mkl-service 2.4.0 py39h7f8727e_0
    - mkl_fft 1.3.1 py39hd3c417c_0
    - mkl_random 1.2.2 py39h51133e4_0
    - ncurses 6.3 h5eee18b_3
    - numpy 1.19.2 py39h7895c89_1
    - numpy-base 1.19.2 py39h4c65ebe_1
    - openssl 1.1.1q h7f8727e_0
    - packaging 21.3 pyhd3eb1b0_0
    - pip 22.1.2 py39h06a4308_0
    - pyparsing 3.0.4 pyhd3eb1b0_0
    - python 3.9.12 h12debd9_1
    - readline 8.1.2 h7f8727e_1
    - setuptools 61.2.0 py39h06a4308_0
    - setuptools-scm 7.0.4 py39h06a4308_0
    - setuptools_scm 7.0.4 hd3eb1b0_0
    - setuptools_scm_git_archive 1.1 py39h06a4308_0
    - six 1.16.0 pyhd3eb1b0_1
    - sqlite 3.39.2 h5082296_0
    - tk 8.6.12 h1ccaba5_0
    - tomli 2.0.1 py39h06a4308_0
    - typing-extensions 4.3.0 py39h06a4308_0
    - typing_extensions 4.3.0 py39h06a4308_0
    - tzdata 2022a hda174b7_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 h7f8727e_1
    - zlib 1.2.12 h7f8727e_2
  run:
    - cycler >=0.10
    - fonttools >=4.22.0
    - freetype >=2.11.0,<3.0a0
    - freetype >=2.3
    - kiwisolver >=1.0.1
    - libgcc-ng >=11.2.0
    - libstdcxx-ng >=11.2.0
    - numpy >=1.19.2,<2.0a0
    - packaging >=20.0
    - pillow >=6.2.0
    - pyparsing >=2.2.1
    - python >=3.9,<3.10.0a0
    - python-dateutil >=2.7
test:
  commands:
    - pip check
  imports:
    - matplotlib
    - matplotlib._contour
    - matplotlib._image
    - matplotlib._path
    - matplotlib._qhull
    - matplotlib._tri
    - matplotlib._ttconv
    - matplotlib.backends._backend_agg
    - matplotlib.backends._tkagg
    - matplotlib.ft2font
    - matplotlib.pyplot
    - mpl_toolkits
    - pylab
  requires:
    - pip
    - pytest
about:
  description: 'Matplotlib produces publication-quality figures in a variety of hardcopy
    formats

    and interactive environments across platforms. Matplotlib can be used in

    Python scripts, Python/IPython shells, web application servers,

    and various graphical user interface toolkits.

    '
  dev_url: https://github.com/matplotlib/matplotlib/
  doc_url: https://matplotlib.org/stable/users/index.html
  home: https://matplotlib.org/
  license: LicenseRef-PSF-based
  license_family: PSF
  license_file: LICENSE/LICENSE
  license_url: https://matplotlib.org/stable/users/project/license.html
  summary: Publication quality figures in Python
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: c85bfefd-8112-4a49-b7ca-446a24b3e1c2
  recipe-maintainers:
    - dopplershift
    - mdboom
    - ocefpaf
    - pelson
    - tacaswell
  remote_url: git@github.com:AnacondaRecipes/matplotlib-feedstock.git
  sha: f596c0e3e8d49f3cab4048b3fba074f2b0b77f8e
